Start journey
Start a customer verification journey using a journey ID. You can also prefill customer data. For more details, see the start journey guide.
POST
/
journey
/
start
Start journey
curl --request POST \
--url https://eu.platform.go.gbgplc.com/captain/api/journey/start \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"resourceId": "2ec919f77eb9858f16a9c102913f68c2ede2e31952d3e2b8f5ca7028d5c480bc@latest",
"context": {
"subject": {
"identity": {
"firstName": "John",
"lastName": "Doe",
"dateOfBirth": "1990-01-01",
"emails": [
{
"type": "home",
"email": "john.doe@example.com"
}
]
},
"documents": [],
"biometrics": []
}
}
}
'import requests
url = "https://eu.platform.go.gbgplc.com/captain/api/journey/start"
payload = {
"resourceId": "2ec919f77eb9858f16a9c102913f68c2ede2e31952d3e2b8f5ca7028d5c480bc@latest",
"context": { "subject": {
"identity": {
"firstName": "John",
"lastName": "Doe",
"dateOfBirth": "1990-01-01",
"emails": [
{
"type": "home",
"email": "john.doe@example.com"
}
]
},
"documents": [],
"biometrics": []
} }
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
resourceId: '2ec919f77eb9858f16a9c102913f68c2ede2e31952d3e2b8f5ca7028d5c480bc@latest',
context: {
subject: {
identity: {
firstName: 'John',
lastName: 'Doe',
dateOfBirth: '1990-01-01',
emails: [{type: 'home', email: 'john.doe@example.com'}]
},
documents: [],
biometrics: []
}
}
})
};
fetch('https://eu.platform.go.gbgplc.com/captain/api/journey/start', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"instanceId": "<string>"
}{
"status": 404,
"message": "Not Found Error, validate resource Id",
"error": "not-found-error"
}{
"status": 405,
"message": "Method Not Allowed.",
"error": "method-not-allowed-error"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Unique identifier for the journey. Append '@latest' to use the most recent version.
Example:
"2ec919f77eb9858f16a9c102913f68c2ede2e31952d3e2b8f5ca7028d5c480bc@latest"
Prefilled identity data for the journey.
Example:
{
"subject": {
"identity": {
"firstName": "John",
"lastName": "Doe",
"dateOfBirth": "1990-01-01",
"emails": [
{
"type": "home",
"email": "john.doe@example.com"
}
]
},
"documents": [],
"biometrics": []
}
}Response
Journey started successfully.
Unique identifier for the active journey instance.
Was this page helpful?
Previous
Retrieve tasksFetch tasks assigned to a customer during an active journey. If you're unsure how tasks work, the [retrieve tasks guide](/docs/developer-integration/execute-customer-journeys/retrieve-tasks-step) can help.
Next
⌘I
Start journey
